FruxonDocs
ApiCollection pipelines

Rolls back the published collection pipeline revision.

Repoints the pipeline's published revision to an existing snapshot. This does not change the draft definition or create a new revision; it only changes which snapshot production runs use.

POST
/v1/tenants/{tenant}/collectionPipelines/{collectionPipeline}:rollback
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

collectionPipeline*string

The unique identifier of the pipeline.

Formatuuid
tenant*string

The tenant identifier

The revision to make current.

revisionId?string
Formatuuid
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/collectionPipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08:rollback" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "tenantId": "00000000-0000-0000-0000-000000000000",
  "pipelineId": "00000000-0000-0000-0000-000000000000",
  "version": 0,
  "source": {
    "kind": "TOOL",
    "ragAssetId": "string",
    "ragReadMode": "DOCUMENTS",
    "ragSearch": "string",
    "pageSize": 0,
    "integrationConfigId": "string",
    "listToolId": "string",
    "getToolId": "string",
    "recordsPath": "string",
    "cursorParamName": "string",
    "parameters": {},
    "itemIdPath": "string",
    "sinkTargetPath": "string",
    "skipWhen": {
      "match": "ALL",
      "conditions": []
    },
    "sourceUrlPath": "string",
    "flattenSheetRows": false
  },
  "sourceRefs": [
    {
      "sourceId": "00000000-0000-0000-0000-000000000000",
      "alias": "string"
    }
  ],
  "defaultSourceId": "00000000-0000-0000-0000-000000000000",
  "inputMapping": {
    "userQuery": "string",
    "parameters": {},
    "attachmentUrlPath": "string"
  },
  "outputSchema": [
    {
      "name": "string",
      "description": "string"
    }
  ],
  "sink": {
    "sinks": [
      {
        "kind": "UNSPECIFIED",
        "indexAssetId": "string",
        "tabular": null
      }
    ]
  },
  "runPolicy": {
    "maxItems": 0,
    "maxConcurrency": 0,
    "perRunBudgetCap": 0,
    "dedupKeyPath": "string",
    "onItemError": "CONTINUE",
    "actionTypeCeiling": "READ_ONLY"
  },
  "agentId": "string",
  "runnableId": "string",
  "runnableType": "AGENT",
  "agentRevision": "string",
  "runnableRevision": "string",
  "note": "string",
  "createdBy": "string",
  "createdAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}